# eric4.XML.UserProjectWriter

Module implementing the writer class for writing an XML user project properties file.

### Classes

UserProjectWriter | Class implementing the writer class for writing an XML user project properties file.

### Functions

None

## UserProjectWriter

Class implementing the writer class for writing an XML user project properties file.

### Derived from

XMLWriterBase

### Methods

UserProjectWriter | Constructor
writeXML | Public method to write the XML to the file.

#### UserProjectWriter (Constructor)

UserProjectWriter(file, projectName)

Constructor

file
  open file (like) object for writing
projectName
  name of the project (string)

#### UserProjectWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up